Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Connect::Result Class Reference

This is that class which will be passed back to the handler when the asynchronous connect completes. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Connect::Result:

[legend]
Collaboration diagram for ACE_Asynch_Connect::Result:

[legend]
List of all members.

## Public Methods
ACE_HANDLE | connect_handle (void) const
| I/O handle for the connection.
ACE_Asynch_Connect_Result_Impl * | implementation (void) const
| Get the implementation.
## Protected Methods
| Result (ACE_Asynch_Connect_Result_Impl *implementation)
| Contructor. Implementation will not be deleted.
virtual | ~Result (void)
| Destructor.
## Protected Attributes
ACE_Asynch_Connect_Result_Impl * | implementation_
| Impelmentation class.
## Friends
class | ACE_POSIX_Asynch_Connect_Result
class | ACE_WIN32_Asynch_Connect_Result

## Detailed Description

This is that class which will be passed back to the handler when the asynchronous connect completes.

This class has all the information necessary for the handler to uniquely identify the completion of the asynchronous connect.

## Constructor & Destructor Documentation

ACE_Asynch_Connect::Result::Result | ( | ACE_Asynch_Connect_Result_Impl * | implementation | ) | `[protected]`

| Contructor. Implementation will not be deleted.

ACE_Asynch_Connect::Result::~Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

ACE_HANDLE ACE_Asynch_Connect::Result::connect_handle | ( | void |  | ) | const

| I/O handle for the connection.

ACE_Asynch_Connect_Result_Impl * ACE_Asynch_Connect::Result::implementation | ( | void |  | ) | const

| Get the implementation. Reimplemented from ACE_Asynch_Result.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Connect_Result`[friend]`

| The concrete implementation result classes only construct this class.

friend class ACE_WIN32_Asynch_Connect_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Connect_Result_Impl* ACE_Asynch_Connect::Result::implementation_`[protected]`

| Impelmentation class. Reimplemented from ACE_Asynch_Result.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.cpp